I really wanted to upgrade to kubuntu 9.04 but then I went to do it and it actually warned me that fglrx was not available for 9.04

That made me think twice, my current kubuntu is running...